Bug 751096 - FEDORA16-Alpha: Build valgrind from source gave kernel not support error
FEDORA16-Alpha: Build valgrind from source gave kernel not support error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
16
ppc64 All
unspecified Severity urgent
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F17Betappc
  Show dependency treegraph
 
Reported: 2011-11-03 10:20 EDT by IBM Bug Proxy
Modified: 2012-04-19 16:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 12:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 76398 None None None Never

  None (edit)
Description IBM Bug Proxy 2011-11-03 10:20:26 EDT
Problem description : 

I  did Valgrind test on alpha release of Fedora, first down loaded source codes and then tried to build it. It gave me the unsupport kernel error:

......
checking for a 32-bit only build... no
checking for a supported OS... ok (linux-gnu)
checking for the kernel version... unsupported (3.1.0-0.rc9.git0.2.fc16.kh.ppc64)
configure: error: Valgrind works on kernels 2.4, 2.6

[root@c57f1ju0203 valgrind-3.6.1]# rpm -qa|grep kernel
kernel-3.1.0-0.rc9.git0.2.fc16.kh.ppc64
kernel-devel-3.1.0-0.rc9.git0.2.fc16.kh.ppc64
libreport-plugin-kerneloops-2.0.6-1.fc16.ppc64
kernel-bootwrapper-3.1.0-0.rc9.git0.2.fc16.kh.ppc64
abrt-addon-kerneloops-2.0.4.981-2.fc16.ppc64
kernel-headers-3.1.0-0.rc9.git0.2.fc16.kh.ppc64
[root@c57f1ju0203 valgrind-3.6.1]#



The steps I did are

1. Full install Fedora (clicked everything in customer install)
2. yumdownloader  --source valgrind
3. rpmbuild -bp SPECS/valgrind.spec
4. cd to its source dir, do ./configure then it would give the above error.

Valgrind's configure script needs to be updated to allow the newer 3.0
kernel version numbers.

Comment 1 :
----------------------
Attached patch should resolve the reported kernel version issue . Please apply
this patch and try to rebuild the package.


Comment 2 : 
---------------------
Currently I used a workaround by changing one line of code in configure as the following:

Currently I used a workaround by changing one line of code in configure as the
following:


5361c5361
<              2.6.*|3.*)
---
>              2.6.*)

Then the build can continue.


Thanks
Vasant
Comment 1 IBM Bug Proxy 2011-11-03 10:51:26 EDT
------- Comment From clnperez@us.ibm.com 2011-11-03 10:35 EDT-------
Also note:

This has been fixed but is not yet released. See https://bugs.kde.org/show_bug.cgi?id=274926
Comment 2 IBM Bug Proxy 2011-11-15 00:10:46 EST
------- Comment From vahegde1@linux.vnet.ibm.com 2011-11-15 00:09 EDT-------
Hello Fedora,

Did you get a chance to look into this one ?
Comment 3 IBM Bug Proxy 2011-11-30 14:21:05 EST
------- Comment From baude@us.ibm.com 2011-11-30 14:16 EDT-------
Can you update us on this?
Comment 4 Brent Baude 2012-04-16 12:22:26 EDT
This is fixed in F17 with valgrind-3.7.0-2.  Closing off.

Note You need to log in before you can comment on or make changes to this bug.